Bug 385471 - Fedora 9 Xen guest on RHEL 5 host: RTNETLINK answers: Invalid argument
Fedora 9 Xen guest on RHEL 5 host: RTNETLINK answers: Invalid argument
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
9
All Linux
high Severity high
: ---
: ---
Assigned To: Xen Maintainance List
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-15 15:08 EST by Kai Engert (:kaie)
Modified: 2009-12-14 15:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 09:59:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
host ifconfig, route -n, xend-config.sxp (4.07 KB, text/plain)
2007-12-03 11:03 EST, Kai Engert (:kaie)
no flags Details

  None (edit)
Description Kai Engert (:kaie) 2007-11-15 15:08:11 EST
Description of problem:
Fedora 9 Rawhide guest networking failure.

[root@kaiexenrawhide ~]# /etc/rc.d/init.d/network start
Bringing up loopback interface:  RTNETLINK answers: Invalid argument
Failed to bring up lo.
[FAILED]
Bringing up interface eth0:  RTNETLINK answers: Invalid argument
Failed to bring up eth0.
[FAILED]


Version-Release number of selected component (if applicable):

[root@kaiexenrawhide ~]# uname -a
Linux kaiexenrawhide 2.6.21.7-2886.fc9xen #1 SMP Mon Oct 29 14:41:46 EDT 2007
x86_64 x86_64 x86_64 GNU/Linux


How reproducible:
Host machine:
  x86_64, RHEL 5.0 + updates, 4 gb ram

Guest:
  64 bit, 1 gb ram, 10 gb disk, > 30% free
 
The guest was running Rawhide, a snapshot very close before the Fedora 8
release. Maybe even identical to it.

Today I used "yum update" in order to go to the latest tip of Rawhide. The
update went fine without failures, and I rebooted.

After reboot, the guest can no longer be accessed through networking.
I attached a console.
The guest boots up fine and brings up the login prompt, all looks good.

The problems are:

"ifconfig" shows nothing.

I tried to start the network, and I get the output shown at the top of this bug
report.

  
Actual results:
No network device, neither lo nor eth0.


Expected results:
Networking should still work after yum update.
Comment 1 Kai Engert (:kaie) 2007-12-03 09:56:58 EST
Updated host to:

[root@kaiefast ~]# uname -a
Linux kaiefast 2.6.18-53.1.4.el5xen #1 SMP Fri Nov 30 01:21:23 EST 2007 x86_64
x86_64 x86_64 GNU/Linux


Maybe the following info helps, guest kernel prints:

TCP bic registered
Initializing XFRM netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
XENBUS: Device with no driver: device/vbd/51712
XENBUS: Device with no driver: device/vif/0
Comment 2 Kai Engert (:kaie) 2007-12-03 10:03:04 EST
I installed a newer rawhide kernel in the guest.
Unforunately that one doesn't boot up at all :-/

The last kernel messages printed are:

XENBUS: Device with no driver: device/vbd/51712
XENBUS: Device with no driver: device/vif/0
drivers/rtc/hctosys.c: unable to open rtc device (rtc0)
Freeing unused kernel memory: 188k freed
Write protecting the kernel read-only data: 795k
request_module: runaway loop modprobe binfmt-464c
request_module: runaway loop modprobe binfmt-464c
request_module: runaway loop modprobe binfmt-464c
request_module: runaway loop modprobe binfmt-464c
request_module: runaway loop modprobe binfmt-464c


I waited a couple of minutes with no further events.
When I use "xm shutdown rawhide" on the host, the guest will print some further
messages before shutting down:

md: stopping all md devices.
xenbus_dev_shutdown: device/vif/0: Initialising != Connected, skipping
xenbus_dev_shutdown: device/vbd/51712: Initialising != Connected, skipping
System halted.
Comment 3 Chris Lalancette 2007-12-03 10:09:28 EST
That "runaway loop" generally means that you've installed a 32-bit kernel into a
64-bit guest; when it tries to load the kernel modules from the filesystem, it
gets all confused.  Also, from the previous comment, the:

XENBUS: Device with no driver: device/vbd/51712
XENBUS: Device with no driver: device/vif/0

is actually normal, so isn't really helpful.  What happens if you boot the
rawhide guest with a Fedora 8 kernel?  Does the network card work then?

Chris Lalancette
Comment 4 Kai Engert (:kaie) 2007-12-03 10:56:04 EST
(In reply to comment #3)
> That "runaway loop" generally means that you've installed a 32-bit kernel into a
> 64-bit guest

Oops indeed. Sorry, I made that mistake when manually transporting the rpm file
into the guest using block-attach...
The latest x86_64 kernel boots up the guest ok (still without networking).


> What happens if you boot the
> rawhide guest with a Fedora 8 kernel?  Does the network card work then?

No. As this system was constantly updated, I still have some Fedora 8 kernels
installed.

I tried 2.6.21-2950.fc8xen, didn't work, fails with same error as in subject.
Comment 5 Kai Engert (:kaie) 2007-12-03 11:03:57 EST
Created attachment 275811 [details]
host ifconfig, route -n, xend-config.sxp

Here's some information about network config on the host domain, maybe it
helps.

BTW, the host is now running rhel 5.1, updating didn't help.
Comment 6 Kai Engert (:kaie) 2007-12-03 11:14:00 EST
I still have some other guests installed on this host.

RHEL 5 guest: network ok

RHEL 4 guest: network ok

F-7 guest: network ok

It's only Rawhide that's broken.
I don't have an F-8 guest, but pre-release-8 rawhide used to work.
Comment 7 Kai Engert (:kaie) 2007-12-11 09:13:28 EST
I'm expanding this bug to include a second host computer which is a i386 with 4
GB ram and Fedora 8 on the hist.

Again, the rawhide xen guest is unable to access the network (after recent updates).


Comment 8 Kai Engert (:kaie) 2007-12-11 09:19:42 EST
This is kind of blocking me from doing any rawhide testing.
I think this is a pretty serious issue, since it makes xen rather unusable.
Raising severity and priority as an attempt to put this on your radar.
Comment 9 Bart Vanbrabant 2008-02-05 12:54:55 EST
I've just updated a machine that hosts some guests (dom0) from F8 to rawhide and
I see the same problem there. I use bridged networking and the bridged is called
tmpbridge without any physical interfaces in it.

I'm using the latest xen* and kernel-xen packages from rawhide.
Comment 10 Daniel Berrange 2008-02-05 13:05:15 EST
Networking in xen kernels in rawhide is known to be broken. The iproute package
in rawhide now requires a newer kenrel version than we're able to provide with
Xen, so you can't even bring up loopback interface.

See bug 431182

There isn't really any viable solution to this until we get Xen kernels ported
to 2.6.24 on paravirt_ops as per

http://fedoraproject.org/wiki/Features/XenPvops
Comment 11 Bug Zapper 2008-05-13 23:54:47 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-06-09 19:11:42 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-07-14 09:59:47 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.